Summary:   CMU SNMP agent
Name:      cmu-snmp
Version:   3.6
Release:   1
URL:       http://www.gaertner.de/snmp/
Source0:   ftp://ftp.ibr.cs.tu-bs.de/pub/local/linux-cmu-snmp/%{name}-linux-%{version}-src.tar.gz
Source1:   snmpd.init
Source2:   snmpd.conf
Patch:     cmu-snmp-linux-mibfile.patch
Copyright: CMU
Group:     Networking/Daemons
PreReq:	   /sbin/chkconfig
BuildRoot: /tmp/%{name}-%{version}-root

%description
This is a derivative of the original Carnegie Mellon University
Simple Network Management Protocol.  It is useful for managing
networks and doing accounting.

%package utils
Group:    Networking/Utilities
Summary:  CMU SNMP utilities
Requires: cmu-snmp

%description utils
These are the various utilities for use with CMU SNMP.  Contains utils
such as snmpwalk, snmptest, and more.

%package devel
Group:    Networking/Utilities
Summary:  CMU SNMP development libs and headers
Requires: cmu-snmp

%description devel
These are the development libraries and header files for CMU SNMP.
This will allow the network administrator to write programs for
use with network management.

%prep
%setup -q -n %{name}-linux-%{version}

%patch -p1

%build
./configure --prefix=/usr

make MIBFILEPATH=/etc -C snmplib libsnmp.a
make MIBFILEPATH=/etc -C snmplib libsnmp.so
make all

%install
rm -rf $RPM_BUILD_ROOT

for I in usr/bin usr/lib usr/sbin usr/man/man1 usr/man/man3 \
  usr/man/man5 usr/man/man8 usr/include/snmp etc/rc.d/init.d ; do
  install -d $RPM_BUILD_ROOT/$I
done

make prefix=$RPM_BUILD_ROOT/usr \
     cprefix=$RPM_BUILD_ROOT/etc \
     exec_prefix=$RPM_BUILD_ROOT/usr \
     MIBFILEPATH=$RPM_BUILD_ROOT/etc \
     SHLIBDIR=$RPM_BUILD_ROOT/usr/lib \
     install

for dir in bin sbin lib; do
  for i in $RPM_BUILD_ROOT/usr/${dir}/*; do 
   ftype=`file $i`
   result=`echo $ftype | sed -n '/ELF/p'`
   if [ "$result" != "" ]; then
     strip $i
   fi
  done
done

install -m755 -groot -oroot %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/snmpd
install -m600 -groot -oroot %{SOURCE2} $RPM_BUILD_ROOT/etc/snmpd.conf

%post
/sbin/ldconfig
/sbin/chkconfig --add snmpd 

%postun
/sbin/ldconfig
if [ $1 = 0 ]; then
   /sbin/chkconfig --del snmpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%verify(not md5 mtime size) %config /etc/snmpd.agentinfo
%config /etc/mib.txt
%config /etc/snmpd.conf
%config /etc/rc.d/init.d/snmpd
/usr/lib/lib*.so.*.*
%attr(-,root,man) /usr/man/man5/snmpd.conf.5
%attr(-,root,man) /usr/man/man5/variables.5
%attr(-,root,man) /usr/man/man8/snmpd.8
/usr/sbin/snmpd

%files utils
%defattr(-,root,root)
/usr/bin/*
/usr/lib/lib*.so.*.*
%attr(-,root,man) /usr/man/man1/*
%attr(-,root,man) /usr/man/man5/variables.5
%attr(-,root,man) /usr/man/man5/snmpd.conf.5
%attr(-,root,man) /usr/man/man8/snmptrapd.8
/usr/sbin/snmptrapd

%files devel
%defattr(-,root,root)
/usr/include/snmp
/usr/lib/lib*.a
/usr/lib/lib*.so
%attr(-,root,man) /usr/man/man3/snmp_api.3
%attr(-,root,man) /usr/man/man5/variables.5

%changelog
* Mon Apr 12 1999 Arne Coucheron <arneco@online.no>
  [3.6-1]
- too many changes to remember

* Fri Mar 13 1998 Arne Coucheron <arneco@online.no>
  [3.5-2]
- updated mib.txt
- removed the install-info require

* Thu Feb 19 1998 Arne Coucheron <arneco@online.no>
  [3.5-1]